﻿using System;
using System.ServiceModel;
using ClassLibrary1;

namespace ConsoleApplication2
{
    internal class Program
    {
        private static void Main()
        {
            State state1;
            using (var cf = new ChannelFactory<IService>("BasicHttpBinding_IService"))
            {
                IService client = cf.CreateChannel();
                state1 = client.Start("abc");
                Console.WriteLine("{0} {1}", state1.Id, state1.Answer);
            }

            using (var cf = new ChannelFactory<IService>("BasicHttpBinding_IService"))
            {
                IService client = cf.CreateChannel();
                State state2 = client.Continue(state1.Id);
                Console.WriteLine("{0} {1}", state2.Id, state2.Answer);
            }

            Console.ReadKey();
        }
    }
}