﻿using System;
using ConsoleApplication1.ServiceReference1;

namespace ConsoleApplication1
{
    internal class Program
    {
        private static void Main()
        {
            State state1;
            using (var client = new ServiceClient())
            {
                state1 = client.Start("abc");
                Console.WriteLine("{0} {1}", state1.Id, state1.Answer);
            }

            using (var client = new ServiceClient())
            {
                State state2 = client.Continue(state1.Id);
                Console.WriteLine("{0} {1}", state2.Id, state2.Answer);
            }

            Console.ReadKey();
        }
    }
}